<?php

if ( ! function_exists( 'oaza_mikado_include_blog_shortcodes' ) ) {
	function oaza_mikado_include_blog_shortcodes() {
		foreach ( glob( MIKADO_FRAMEWORK_MODULES_ROOT_DIR . '/blog/shortcodes/*/load.php' ) as $shortcode_load ) {
			include_once $shortcode_load;
		}
	}
	
	if ( oaza_mikado_is_plugin_installed( 'core' ) ) {
		add_action( 'oaza_core_action_include_shortcodes_file', 'oaza_mikado_include_blog_shortcodes' );
	}
}
